Skip to main content
`Ctrl`+`K`

# SNESNewtonTRDCGetRhoFlag

Get whether the current solution update is within the trust-region.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNewtonTRDCGetRhoFlag(SNES snes, PetscBool *rho_flag)

Logically Collective

## Input Parameter

- snes - the nonlinear solver object

## Output Parameter

- rho_flag - `PETSC_FALSE` or `PETSC_TRUE`

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNEWTONTRDC`, `SNESNewtonTRDCPreCheck()`, `SNESNewtonTRDCGetPreCheck()`, `SNESNewtonTRDCSetPreCheck()`, `SNESNewtonTRDCSetPostCheck()`, `SNESNewtonTRDCGetPostCheck()`

## Level

developer

## Location

src/snes/impls/ntrdc/ntrdc.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages